#
# spec file for package aMule
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           aMule
Version:        2.3.2.20190827.2a1b09233
Release:        lp150.2.1
Summary:        Another eMule file-sharing program
License:        GPL-2.0+
Group:          Productivity/Networking/Other
Url:            http://www.amule.org
#https://github.com/amule-project/amule
Source:         %{name}-%{version}.tar.xz
BuildRequires:  autoconf
BuildRequires:  automake >= 1.9
BuildRequires:  binutils-devel
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  mozilla-nspr
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  wxWidgets-3_0-nostl-devel
BuildRequires:  pkgconfig(cryptopp)
BuildRequires:  pkgconfig(gdlib)
BuildRequires:  pkgconfig(geoip)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libupnp)
Requires:       GeoIP
Conflicts:      aMule-kde4

%description
aMule stand for another eMule file-sharing program, it is also
another fork of the xMule (former lMule) project. It connects
to eDonkey2000 network, supports Linux, *BSD platforms, and has
a new vision of the GUI.

%prep
%autosetup -p1

%build
./autogen.sh
%configure \
  --enable-geoip \
  --enable-monolithic \
  --enable-amule-daemon \
  --enable-amulecmd \
  --enable-webserver \
  --enable-amule-gui \
  --enable-cas \
  --enable-wxcas \
  --enable-ed2k \
  --enable-alc \
  --enable-alcc \
  --enable-xas \
  --enable-fileview \
  --disable-static \
  --enable-upnp \
  --disable-debug \
  --disable-profile \
  --enable-optimize \
  --disable-ccache \
  --enable-mmap

make %{?_smp_mflags} V=1

%install
%make_install docdir=%{_defaultdocdir}/aMule.xxx
rm -rfv %{buildroot}/%{_defaultdocdir}/aMule.xxx

%suse_update_desktop_file -G "P2P Client" -i amule Network P2P
%suse_update_desktop_file  %{buildroot}/%{_datadir}/applications/alc.desktop
%suse_update_desktop_file  %{buildroot}/%{_datadir}/applications/amulegui.desktop
%suse_update_desktop_file  %{buildroot}/%{_datadir}/applications/wxcas.desktop

#tar -xf %%{SOURCE1} -C %%{buildroot}%%{_datadir}/amule/
#mv %%{buildroot}%%{_datadir}/amule/amule__icon.png %%{buildroot}%%{_datadir}/pixmaps/amule.png

# Don't overwrite system locale.alias
rm -f %{buildroot}%{_datadir}/locale/locale.alias

%find_lang amule

%fdupes -s %{buildroot}

%files -f amule.lang
%defattr(-,root,root)
%doc docs/AUTHORS docs/Changelog docs/README docs/license.txt
%{_mandir}/*/*
%{_bindir}/*
%{_libdir}/xchat/plugins/xas.pl
%{_datadir}/amule/*
%{_datadir}/cas/*
%{_datadir}/locale/*/LC_MESSAGES/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%dir %{_libdir}/xchat
%dir %{_libdir}/xchat/plugins
%dir %{_datadir}/amule
%dir %{_datadir}/cas
%dir %{_mandir}/ro
%dir %{_mandir}/tr
%dir %{_mandir}/hu
%exclude %{_bindir}/plasmamule-engine-feeder
%exclude %{_datadir}/applications/plasmamule-engine-feeder.desktop

%changelog
* Wed Nov 13 2019 Dave Plater <davejplater@gmail.com>
- Use wxWidgets-nostl, this is maybe not needed but doesn't hurt.
- Remove kde4 and qt4 elements to allow Tumbleweed build, see:
  https://github.com/amule-project/amule/issues/110
* Sun Sep 22 2019 olaf@aepfle.de
- Update to version 2.3.2.20190827.2a1b09233
* Fri Aug  2 2019 Dave Plater <davejplater@gmail.com>
- Enabled wxWidgets >= 3.0.
* Mon Dec 10 2018 Javier Llorente <javier@opensuse.org>
- Update to version 2.3.2.20181119.20afd75fa
  * Bugfix: API mismatch with crypto++ 6.0.0; GH #120
- Add patch to fix build: Update to libupnp 1.8; GH #135
- Redo 0001-Fix-desktop-files.patch
* Sun Feb 26 2017 martin@pluskal.org
- Update to version 2.3.2.20161207.047a55c93
  * Changelog update
  * Update translation source
  * Update translations
  * Update french translation
  * Revert "fix a potential invalid detection for empty wxCharBuffer."
  * Do not override automake rule
  * Workaround for wxWidgets bug #17740, fixes GH issue #74
  * In VS2015 Microsoft moved std::min and std::max to algorithm
  * mslu is removed in wxMSW 3.1.0
- Add _service
* Fri Feb 17 2017 olaf@aepfle.de
- Use wxWidgets-3_0
* Tue Nov  6 2012 fisiu@opensuse.org
- Fix #PM-46: aMule fails to start on openSUSE:
  https://bugs.links2linux.org/browse/PM-46
* Thu Dec 29 2011 reddwarf@opensuse.org
- new upstream version 2.3.1
* Sat Mar 12 2011 reddwarf@opensuse.org
- use %%wx_requires in >=11.4
* Thu Mar 10 2011 javier@links2linux.de
- switch BuildRequires wxWidgets from PM to wxGTK for 11.2 and 11.3
* Wed Mar  9 2011 javier@links2linux.de
- add buildrequires libwx_gtk2u_gl-2_8-0-stl for 11.4
* Wed Mar  9 2011 javier@links2linux.de
- update buildrequires libcrypto++0-devel to libcryptopp-devel
* Wed Mar  9 2011 javier@links2linux.de
- split changelog from spec, fix file list
* Mon Oct  5 2009 Andrea Florio <andrea@links2linux,de> 2.2.6
- new upstream version 2.2.6
* Mon May 18 2009 Andrea Florio <andrea@links2linux,de> 2.2.5
- new upstream version 2.2.5
* Thu Apr 16 2009 andrea@links2linux.de
- update to upstream 2.2.4
* Mon Mar 23 2009 andrea@links2linux.de
- added upnp support
* Fri Jan  2 2009 andrea@links2linux.de
- update to upstream 2.2.3
* Sun Aug 17 2008 quentin@links2linux.de
- update to upstream 2.2.2
* Thu Jun 12 2008 quentin@links2linux.de
- update to upstream 2.2.1
- removed obsolete configure options (--disable-gsocket, --enable-unicode, --enable-utf8-systray)
* Mon Mar 24 2008 quentin@links2linux.de
- update to svn 20080324
- added geoip support
- fixed some BuildRequires
* Sat May 12 2007 detlef@links2linux.de
- update to CVS 20070507
* Wed May  3 2006 quentin@links2linux.de
- update to 2.0.2
* Tue Mar 21 2006 quentin@links2linux.de
- changed to -enable-amule-gui
* Sun Mar 19 2006 quentin@links2linux.de
- update to version 2.1.1 - bugfix release
* Sat Jan 14 2006 quentin@links2linux.de
- update to version 2.1.0 - the "I just teased you with this release till 2006" version
* Wed Jun 15 2005 quentin@links2linux.de
- update to version 2.0.3 - the "Hell 2.0.3: Now with improved daemons!" version.
- added aMule Folder Icons from AdrienV
* Thu Jun  9 2005 quentin@links2linux.de
- update to version 2.0.2
* Wed May 18 2005 quentin@links2linux.de
- update to the hotfix release, codename 'The Woops, HotFix"" version.'
* Tue May  3 2005 quentin@links2linux.de
- updated to the final release 2.0.0, codename 'The "Let's dedicate this to Tiku" version.'
* Thu Apr 21 2005 quentin@links2linux.de
- enabled the amule-daemon
- added a new desktop-icon (Crystal)
* Wed Apr  6 2005 quentin@links2linux.de
- update to rc8 on SuSE 9.3
* Mon Nov 22 2004 quentin@links2linux.de
- update to rc7 with SuSE's 9.2 wxGTK
* Tue Oct  5 2004 quentin@links2linux.de
- fixed wxWindows problems
* Mon Oct  4 2004 quentin@links2linux.de
- update to version 2.0.0rc6
* Tue Dec 30 2003 deltahf@users.sourceforge.net
- Removed statically link of libcurl, libssl and libcrypt for SuSE 8.2 and 9.0 rpms
* Thu Dec 18 2003 pure_ascii@users.sourceforge.net
- Call strip for the binaries
- Link libcurl, libssl and libcrypto statically
- better detection of wx-config
* Tue Dec 16 2003 pure_ascii@users.sourceforge.net
- Added patch to change optimisation to -Os (optimise for size)
- Fixed path for most doc files
* Sat Nov 29 2003 pure_ascii@users.sourceforge.net
- Initial revision
